#!/bin/sh 

PHPDIR="/usr/local/php/bin"

PATH=$PHPDIR:${PATH}:
export PATH

PHP_PATH=`which php`
export PHP_PATH
CONVERT_DIR='dnblog/core/batch/actions/Convert'
export CONVERT_DIR

# check path
if [ -z ${PHP_PATH} ]; then
    echo "php path is not found."
    exit
fi

# check working directory
if [ -d dnblog/core/webapp/ ]; then
    cd .
else
    echo "dnblog/core/webapp is not found."
    exit
fi

#delete file or directory
if [ -d dnblog/core/webapp/tmp/templates_c ]; then
    rm -fr dnblog/core/webapp/tmp/templates_c/*
fi

# convert
# check directory
if [ -d ${CONVERT_DIR} ]; then
    cd ${CONVERT_DIR}
else
    echo "${CONVERT_DIR} is not found."
    exit
fi

$PHP_PATH ./FileConvert.php
if [ $? -ne 0 ]; then
    if [ -s ../../logs/Convert.log ]; then
        echo "Blog file data convert process error."
        cat ../../logs/Convert.log
    else
        echo "Blog file data convert execution error."
    fi

    exit
fi

